NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.MatchEdgeBuilder Class Reference

Represents a NXOpen.Features.MatchEdge builder More...

Inheritance diagram for NXOpen.Features.MatchEdgeBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  EdgeConstraintType {
  Linked, Free, Perpendicular, IsoU,
  IsoV, Linear
}
 Edge constraint type More...
 
enum  MatchExact { Exact, Align, None }
 Match Exact types More...
 
enum  PoleMoveDirection { X, Y, Z }
 Pole movement direction More...
 
enum  PoleMovementConstraintEnumType {
  WCS, View, Vector, Normal,
  Project, Inherit, FixStart, FixEnd,
  StartAndEnd
}
 Pole movement type More...
 
enum  Types { MatchEdgeToEdge, MatchEdgeToFace, MatchEdgeToCurve, MatchEdgeToDatum }
 Match Edge match types. More...
 

Public Member Functions

unsafe void EditPoleUpdateSurface ()
 Updates surface during edit pole. More...
 
unsafe void LoadEditEdge ()
 Loads editing edge related internal data and should be called after selection of edge or face to match to More...
 
unsafe void ResetEditPoles ()
 Resets surface during edit pole. More...
 
unsafe void SetSelectedEditEdgeAndFace (NXOpen.Edge edge, NXOpen.Face face)
 Sets edge and face More...
 
unsafe void SetupPoleEditing ()
 Sets up surface pole editing. More...
 
unsafe void UpdateOriginalMatchSurface ()
 Update original match surface geometry More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Expression Blend [get]
 Returns the blend More...
 
unsafe bool CanUseFaceFinder [get, set]
 Returns or sets the synchronous mode More...
 
unsafe
NXOpen.GeometricUtilities.ControlPoleManagerData 
ControlPoleManager [get]
 Returns the control pole manager More...
 
unsafe
NXOpen.GeometricUtilities.DegreesAndSegmentsOrPatchesBuilder 
DegreePatches [get]
 Returns the degree and patches More...
 
unsafe
NXOpen.GeometricUtilities.DepthSkewBuilder 
DepthSkew [get]
 Returns the depth skew More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the tolerance for extracting BSurface from a face More...
 
unsafe
NXOpen.GeometricUtilities.CurveRangeBuilder 
EdgeLimit [get]
 Returns the edge limit More...
 
unsafe
NXOpen.GeometricUtilities.OnPathDimensionBuilder 
EdgeOffsetPosition [get]
 Returns the edge offset position More...
 
unsafe
NXOpen.Features.MatchEdgeBuilder.EdgeConstraintType 
EndEdgeConstraint [get, set]
 Returns or sets the value indicating type of the end edge constraint More...
 
unsafe
NXOpen.Features.FaceRecognitionBuilder 
FaceRecognizer [get]
 Returns the face recognition More...
 
unsafe bool FlipTargetCurveOrientation [get, set]
 Returns or sets the target curve projection orientation More...
 
unsafe bool IsBlendEnabled [get, set]
 Returns or sets the value indicating if the matching is to be performed with blending More...
 
unsafe bool IsCreateCopy [get, set]
 Returns or sets the new copy of match edge surface More...
 
unsafe bool IsEditPoleEnabled [get, set]
 Returns or sets the poles edit state More...
 
unsafe bool IsEndEdgeLocked [get, set]
 Returns or sets the end edge locked state More...
 
unsafe bool IsEndPoleFixed [get, set]
 Returns or sets the value indicating if end pole is fixed More...
 
unsafe bool IsG0Continuity [get, set]
 Returns or sets the g0 continuity More...
 
unsafe bool IsG1Continuity [get, set]
 Returns or sets the g1 continuity More...
 
unsafe bool IsG2Continuity [get, set]
 Returns or sets the g2 continuity More...
 
unsafe bool IsG3Continuity [get, set]
 Returns or sets the g3 continuity More...
 
unsafe bool IsKeepSelected [get, set]
 Returns or sets the value indicating if the selections are to be maintained across the sessions of the command More...
 
unsafe bool IsMatchEndToEnd [get, set]
 Returns or sets the match end to end state More...
 
unsafe bool IsStartEdgeLocked [get, set]
 Returns or sets the start edge locked state More...
 
unsafe bool IsStartPoleFixed [get, set]
 Returns or sets the value indicating if start pole is fixed More...
 
unsafe
NXOpen.Features.MatchEdgeBuilder.MatchExact 
MatchExactType [get, set]
 Returns or sets the value indicating type of exact match More...
 
unsafe NXOpen.SelectNXObject ObjectToEdit [get]
 Returns the edge to edit More...
 
unsafe
NXOpen.GeometricUtilities.Continuity 
OppositeEdgeConstraint [get]
 Returns the start continuity constraint for matched surface More...
 
unsafe int PartialMatch [get, set]
 Returns or sets the partial match More...
 
unsafe
NXOpen.Features.MatchEdgeBuilder.PoleMoveDirection 
PoleMoveDirectionEnum [get, set]
 Returns or sets the value indicating the direction of pole movement More...
 
unsafe NXOpen.Direction PoleMoveDirectionVector [get, set]
 Returns or sets the pole move direction vector More...
 
unsafe
NXOpen.Features.MatchEdgeBuilder.PoleMovementConstraintEnumType 
PoleMovementConstraintType [get, set]
 Returns or sets the value indicating type of pole movement constraint More...
 
unsafe
NXOpen.Features.MatchEdgeBuilder.EdgeConstraintType 
StartEdgeConstraint [get, set]
 Returns or sets the value indicating type of the start edge constraint More...
 
unsafe NXOpen.Direction TangentDirectionVector [get, set]
 Returns or sets the tangent direction vector More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
TargetObjects [get]
 Returns the target object that the edge is matching to More...
 
unsafe
NXOpen.Features.MatchEdgeBuilder.Types 
Type [get, set]
 Returns or sets the type More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.MatchEdge builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateMatchEdgeBuilder

Default values.

Property Value

Blend.Value

100

CanUseFaceFinder

0

DegreePatches.Degree

3

DegreePatches.SegmentsOrPatches

1

DegreePatches.UDegree

5

DegreePatches.UPatches

1

DegreePatches.VDegree

5

DegreePatches.VPatches

1

EdgeLimit.AnchorPosition

Start

EndEdgeConstraint

Linked

FaceRecognizer.CoaxialEnabled

0

FaceRecognizer.CoplanarAxesEnabled

0

FaceRecognizer.CoplanarEnabled

0

FaceRecognizer.EqualDiameterEnabled

0

FaceRecognizer.OffsetEnabled

0

FaceRecognizer.ParallelEnabled

0

FaceRecognizer.PerpendicularEnabled

0

FaceRecognizer.SymmetricEnabled

0

FaceRecognizer.TangentEnabled

0

FaceRecognizer.ThicknessChainEnabled

0

FaceRecognizer.UseFaceBrowse

1

IsBlendEnabled

0

IsEditPoleEnabled

0

IsEndEdgeLocked

0

IsEndPoleFixed

0

IsG0Continuity

1

IsG1Continuity

1

IsG2Continuity

0

IsG3Continuity

0

IsKeepSelected

0

IsMatchEndToEnd

0

IsStartEdgeLocked

0

IsStartPoleFixed

0

MatchExactType

None

PartialMatch

100

PoleMoveDirectionEnum

X

PoleMovementConstraintType

Project

StartEdgeConstraint

Free

Created in NX6.0.0

Member Enumeration Documentation

Edge constraint type

Enumerator
Linked 

Linked, available for end edge only

Free 

Free

Perpendicular 

Perpendicular

IsoU 

Iso u

IsoV 

Iso v

Linear 

Linear

Match Exact types

Enumerator
Exact 

Match exact

Align 

Match align without change degree and patch

None 

Don't match exact

Pole movement direction

Enumerator
X 

Along XC direction

Y 

Along YC direction

Z 

Along ZC direction

Pole movement type

Enumerator
WCS 

Along WCS X/Y/Z direction

View 

Along view

Vector 

Along user defined vector

Normal 

Normal

Project 

Project

Inherit 

Inherit

FixStart 

Fix start

FixEnd 

Fix end

StartAndEnd 

Fix start and end

Match Edge match types.

The match to datum type is deprecated in NX7.0.

Enumerator
MatchEdgeToEdge 

Edge to Edge match type

MatchEdgeToFace 

Edge to Face match type

MatchEdgeToCurve 

Edge to Curve match type

MatchEdgeToDatum 

Edge to Datum match type.

This type deprecated in NX7.0. Use NXOpen.Features.EdgeSymmetry feature instead.

Member Function Documentation

unsafe void NXOpen.Features.MatchEdgeBuilder.EditPoleUpdateSurface ( )
inline

Updates surface during edit pole.

This function is used only in pole editing stage and after poles are moved to new positions. This function updates the surface according to the new pole positions.

Created in NX6.0.0

License requirements: features_modeling ("FEATURES MODELING")

unsafe void NXOpen.Features.MatchEdgeBuilder.LoadEditEdge ( )
inline

Loads editing edge related internal data and should be called after selection of edge or face to match to

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe void NXOpen.Features.MatchEdgeBuilder.ResetEditPoles ( )
inline

Resets surface during edit pole.

This function resets the surface control poles to their initial positions.

Created in NX7.0.0

License requirements: features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe void NXOpen.Features.MatchEdgeBuilder.SetSelectedEditEdgeAndFace ( NXOpen.Edge  edge,
NXOpen.Face  face 
)
inline

Sets edge and face

Created in NX7.5.0

License requirements: features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
edgeedge
faceface
unsafe void NXOpen.Features.MatchEdgeBuilder.SetupPoleEditing ( )
inline

Sets up surface pole editing.

This should be called before getting into pole editing function to prepare necessary settings to start surface pole edit.

Created in NX6.0.0

License requirements: features_modeling ("FEATURES MODELING")

unsafe void NXOpen.Features.MatchEdgeBuilder.UpdateOriginalMatchSurface ( )
inline

Update original match surface geometry

Created in NX7.5.2

License requirements: features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")

Property Documentation

unsafe NXOpen.Expression NXOpen.Features.MatchEdgeBuilder.Blend
get

Returns the blend

Created in NX7.0.0

License requirements: None.

unsafe bool NXOpen.Features.MatchEdgeBuilder.CanUseFaceFinder
getset

Returns or sets the synchronous mode

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.ControlPoleManagerData NXOpen.Features.MatchEdgeBuilder.ControlPoleManager
get

Returns the control pole manager

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.DegreesAndSegmentsOrPatchesBuilder NXOpen.Features.MatchEdgeBuilder.DegreePatches
get

Returns the degree and patches

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.DepthSkewBuilder NXOpen.Features.MatchEdgeBuilder.DepthSkew
get

Returns the depth skew

Created in NX7.0.0

License requirements: None.

unsafe double NXOpen.Features.MatchEdgeBuilder.DistanceTolerance
getset

Returns or sets the tolerance for extracting BSurface from a face

Created in NX7.5.0

License requirements to get this property: features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.CurveRangeBuilder NXOpen.Features.MatchEdgeBuilder.EdgeLimit
get

Returns the edge limit

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.OnPathDimensionBuilder NXOpen.Features.MatchEdgeBuilder.EdgeOffsetPosition
get

Returns the edge offset position

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.MatchEdgeBuilder.EdgeConstraintType NXOpen.Features.MatchEdgeBuilder.EndEdgeConstraint
getset

Returns or sets the value indicating type of the end edge constraint

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.FaceRecognitionBuilder NXOpen.Features.MatchEdgeBuilder.FaceRecognizer
get

Returns the face recognition

Created in NX7.5.0

License requirements: None.

unsafe bool NXOpen.Features.MatchEdgeBuilder.FlipTargetCurveOrientation
getset

Returns or sets the target curve projection orientation

Created in NX7.5.2

License requirements to get this property: features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.MatchEdgeBuilder.IsBlendEnabled
getset

Returns or sets the value indicating if the matching is to be performed with blending

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.MatchEdgeBuilder.IsCreateCopy
getset

Returns or sets the new copy of match edge surface

Created in NX6.0.1

License requirements to get this property: features_modeling ("FEATURES MODELING")

License requirements to set this property: features_modeling ("FEATURES MODELING")

unsafe bool NXOpen.Features.MatchEdgeBuilder.IsEditPoleEnabled
getset

Returns or sets the poles edit state

Created in NX6.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING")

License requirements to set this property: features_modeling ("FEATURES MODELING")

unsafe bool NXOpen.Features.MatchEdgeBuilder.IsEndEdgeLocked
getset

Returns or sets the end edge locked state

Created in NX6.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: features_modeling ("FEATURES MODELING")

unsafe bool NXOpen.Features.MatchEdgeBuilder.IsEndPoleFixed
getset

Returns or sets the value indicating if end pole is fixed

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.MatchEdgeBuilder.IsG0Continuity
getset

Returns or sets the g0 continuity

Created in NX6.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: features_modeling ("FEATURES MODELING")

unsafe bool NXOpen.Features.MatchEdgeBuilder.IsG1Continuity
getset

Returns or sets the g1 continuity

Created in NX6.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: features_modeling ("FEATURES MODELING")

unsafe bool NXOpen.Features.MatchEdgeBuilder.IsG2Continuity
getset

Returns or sets the g2 continuity

Created in NX6.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: features_modeling ("FEATURES MODELING")

unsafe bool NXOpen.Features.MatchEdgeBuilder.IsG3Continuity
getset

Returns or sets the g3 continuity

Created in NX6.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: features_modeling ("FEATURES MODELING")

unsafe bool NXOpen.Features.MatchEdgeBuilder.IsKeepSelected
getset

Returns or sets the value indicating if the selections are to be maintained across the sessions of the command

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.MatchEdgeBuilder.IsMatchEndToEnd
getset

Returns or sets the match end to end state

Created in NX6.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: features_modeling ("FEATURES MODELING")

unsafe bool NXOpen.Features.MatchEdgeBuilder.IsStartEdgeLocked
getset

Returns or sets the start edge locked state

Created in NX6.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: features_modeling ("FEATURES MODELING")

unsafe bool NXOpen.Features.MatchEdgeBuilder.IsStartPoleFixed
getset

Returns or sets the value indicating if start pole is fixed

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.MatchEdgeBuilder.MatchExact NXOpen.Features.MatchEdgeBuilder.MatchExactType
getset

Returns or sets the value indicating type of exact match

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.SelectNXObject NXOpen.Features.MatchEdgeBuilder.ObjectToEdit
get

Returns the edge to edit

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.Continuity NXOpen.Features.MatchEdgeBuilder.OppositeEdgeConstraint
get

Returns the start continuity constraint for matched surface

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe int NXOpen.Features.MatchEdgeBuilder.PartialMatch
getset

Returns or sets the partial match

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.MatchEdgeBuilder.PoleMoveDirection NXOpen.Features.MatchEdgeBuilder.PoleMoveDirectionEnum
getset

Returns or sets the value indicating the direction of pole movement

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Direction NXOpen.Features.MatchEdgeBuilder.PoleMoveDirectionVector
getset

Returns or sets the pole move direction vector

Created in NX7.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.MatchEdgeBuilder.PoleMovementConstraintEnumType NXOpen.Features.MatchEdgeBuilder.PoleMovementConstraintType
getset

Returns or sets the value indicating type of pole movement constraint

Created in NX7.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: features_modeling ("FEATURES MODELING")

unsafe NXOpen.Features.MatchEdgeBuilder.EdgeConstraintType NXOpen.Features.MatchEdgeBuilder.StartEdgeConstraint
getset

Returns or sets the value indicating type of the start edge constraint

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Direction NXOpen.Features.MatchEdgeBuilder.TangentDirectionVector
getset

Returns or sets the tangent direction vector

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.SelectDisplayableObjectList NXOpen.Features.MatchEdgeBuilder.TargetObjects
get

Returns the target object that the edge is matching to

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.MatchEdgeBuilder.Types NXOpen.Features.MatchEdgeBuilder.Type
getset

Returns or sets the type

Created in NX6.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

License requirements to set this property: features_modeling ("FEATURES MODELING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.